window.MultipleChoiceTestData = {
    // Optional: Wie viele Versuche hat der/die Lernende (Standardwert: Unendlich)
    "maxTries": Infinity,

    // Optional: Soll statt der Anzahl an nötigen Versuchen bewertet werden, wie gut der/die Lernende abschneidet?
    "reportScore": false,

    // Optional: Sollen die Fragen nicht durchgemischt werden?
    "keepOrder": false,

    // Optional: Wie soll bewertet werden?
    // "questions"  → Standardwert, Frage kann entweder richtig sein (1 von 1 Punkt) oder falsch (0 von 1 Punkt)
    // "average"    → Durchschnittlicher Prozentsatz an richtig ausgewählten bzw. richtig nicht ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten bei jeder Frage
    // "choices"    → Anteil der richtig ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten
    "countMode": "questions",

    // Wie viele Fragen sollen für einen Test gezogen werden?
    "questionsPerTest": 1,

    // Welcher Anteil muss mindestens richtig sein, um zu bestehen?
    "threshold": 1,

    // Optional: Begrüßungstext
    "htmlIntro": "<p>Ergänze die Fachbegriffe.</p>",

    // Verfügbare Fragen
    "questions": [
        {
            "title": "Zeichenketten zusammenfügen",
            "html": "<code>VERKETTEN(Text1; Text2; …)</code> fügt Text zusammen, beispielsweise <code>VERKETTEN(\"Fun\"; \"kti\"; \"on\") = \"Funktion\"",
            "keepOrder": false,
            "choices": [
                { "html": "Fachbegriff für <code>VERKETTEN</code>: ", "type": "text", "correct": true, "accept": ["Funktionsname", "Name der Funktion", "Funktion"] },
                { "html": "Fachbegriff für <code>Text1</code>: ", "type": "text", "correct": true, "accept": "Parameter" },
                { "html": "Fachbegriff für <code>Text2</code>: ", "type": "text", "correct": true, "accept": "Parameter" },
                { "html": "Fachbegriff für <code>\"Fun\"</code>: ", "type": "text", "correct": true, "accept": "Eingabewert" },
                { "html": "Fachbegriff für <code>\"Funktion\"</code>: ", "type": "text", "correct": true, "accept": "Ausgabewert" },
                { "html": "Fachbegriff für <code>VERKETTEN(\"Fun\"; \"kti\"; \"on\")</code>: ", "type": "text", "correct": true, "accept": ["Funktionsaufruf", "Aufruf", "Aufruf von VERKETTEN", "Aufruf der Funktion", "Aufruf einer Funktion", "Aufruf von Funktion"] }
            ]
        },
        {
            "title": "Kleinste Zahl finden",
            "html": "<code>MIN(Zahl1; Zahl2; …)</code> liefert die kleinste Zahl, beispielsweise <code>MIN(-1; 5; -7; 4) = -7",
            "keepOrder": false,
            "choices": [
                { "html": "Fachbegriff für <code>MIN</code>: ", "type": "text", "correct": true, "accept": ["Funktionsname", "Name der Funktion", "Funktion"] },
                { "html": "Fachbegriff für <code>Zahl1</code>: ", "type": "text", "correct": true, "accept": "Parameter" },
                { "html": "Fachbegriff für <code>5</code>: ", "type": "text", "correct": true, "accept": "Eingabewert" },
                { "html": "Fachbegriff für <code>-1</code>: ", "type": "text", "correct": true, "accept": "Eingabewert" },
                { "html": "Fachbegriff für letztes <code>-7</code>: ", "type": "text", "correct": true, "accept": "Ausgabewert" },
                { "html": "Fachbegriff für <code>MIN(-1; 5; -7; 4)</code>: ", "type": "text", "correct": true, "accept": ["Funktionsaufruf", "Aufruf", "Aufruf von MIN", "Aufruf der Funktion", "Aufruf einer Funktion", "Aufruf von Funktion"] }
            ]
        },
        {
            "title": "Betrag berechnen",
            "html": "<code>ABS(Zahl)</code> liefert den Betrag, beispielsweise <code>ABS(-13) = 13",
            "keepOrder": false,
            "choices": [
                { "html": "Fachbegriff für <code>ABS</code>: ", "type": "text", "correct": true, "accept": ["Funktionsname", "Name der Funktion", "Funktion"] },
                { "html": "Fachbegriff für <code>Zahl</code>: ", "type": "text", "correct": true, "accept": "Parameter" },
                { "html": "Fachbegriff für <code>-13</code>: ", "type": "text", "correct": true, "accept": "Eingabewert" },
                { "html": "Fachbegriff für <code>13</code>: ", "type": "text", "correct": true, "accept": "Ausgabewert" },
                { "html": "Fachbegriff für <code>ABS(-13)</code>: ", "type": "text", "correct": true, "accept": ["Funktionsaufruf", "Aufruf", "Aufruf von ABS", "Aufruf der Funktion", "Aufruf einer Funktion", "Aufruf von Funktion"] }
            ]
        },
        {
            "title": "Abrunden",
            "html": "<code>ABRUNDEN(Zahl; Nachkommastellen)</code> rundet auf die angegebene Zahl von Nachkommastellen ab, beispielsweise <code>ABRUNDEN(0,129; 2) = 0,12",
            "keepOrder": false,
            "choices": [
                { "html": "Fachbegriff für <code>ABRUNDEN</code>: ", "type": "text", "correct": true, "accept": ["Funktionsname", "Name der Funktion", "Funktion"] },
                { "html": "Fachbegriff für <code>Zahl</code>: ", "type": "text", "correct": true, "accept": "Parameter" },
                { "html": "Fachbegriff für <code>Nachkommastellen</code>: ", "type": "text", "correct": true, "accept": "Parameter" },
                { "html": "Fachbegriff für <code>2</code>: ", "type": "text", "correct": true, "accept": "Eingabewert" },
                { "html": "Fachbegriff für <code>0,12</code>: ", "type": "text", "correct": true, "accept": "Ausgabewert" },
                { "html": "Fachbegriff für <code>ABRUNDEN(0,129; 2)</code>: ", "type": "text", "correct": true, "accept": ["Funktionsaufruf", "Aufruf", "Aufruf von ABRUNDEN", "Aufruf der Funktion", "Aufruf einer Funktion", "Aufruf von Funktion"] }
            ]
        }
    ]
}
